%global momorel 4

%global texmf %{_datadir}/texmf

%global exec_mktexlsr	[ -x %{_bindir}/mktexlsr ] && %{_bindir}/env - %{_bindir}/mktexlsr > /dev/null 2>&1 || :

Summary: A DVI to PDF translator
Name: dvipdfmx
Version: 20090506
Release: %{momorel}m%{?dist}
License: GPLv2+
Group: Applications/Publishing
URL: http://project.ktug.or.kr/dvipdfmx/
Source0: http://project.ktug.or.kr/dvipdfmx/snapshot/archive/%{name}-%{version}.tar.gz

# This patch renames ebb to ebbx to prevent conflict with the ebb from the
# dvipdfm package. 
# htps://bugzilla.redhat.com/show_bug.cgi?id=448347
# Reported to upstream on 26th May 2008 via email
Patch0: dvipdfmx-20090506-ebb-to-ebbx.patch
Patch1: dvipdfmx-20090506-config.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: kpathsea-devel
BuildRequires: libpng-devel >= 1.2.2
BuildRequires: zlib-devel
PreReq: sh-utils, tetex >= 3.0
Requires(post): kpathsea
Requires(postun): kpathsea 
Requires: kpathsea, tetex, tetex-common >= 3.0-25m, tetex-dvipsk
Requires: ipa-mincho-fonts, ipa-gothic-fonts

%description
The dvipdfmx (formerly dvipdfm-cjk) project provides an eXtended version of
the dvipdfm, a DVI to PDF translator developed by Mark A. Wicks. The primary
goal of this project is to support multi-byte character encodings and large
character sets for East Asian languages by CID-keyed font technology. The
secondary goal is to support as many features as pdfTeX developed by Han The
Thanh. This project is a combined work of the dvipdfm-jpn project by
Shunsaku Hirata and its modified one, dvipdfm-kor, by Jin-Hwan Cho. 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .ebb-to-ebbx~
%patch1 -p1 -b .config~

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

%post
%{exec_mktexlsr}

%postun
%{exec_mktexlsr}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/dvipdfmx
%{_bindir}/ebbx
%{_bindir}/extractbb
%{texmf}/dvipdfmx
%{texmf}/fonts/map/dvipdfmx/cid-x.map
%{texmf}/fonts/map/glyphlist/glyphlist.txt
%{texmf}/fonts/map/glyphlist/pdfglyphlist.txt
%dir %{texmf}/fonts/cmap/dvipdfmx
%{texmf}/fonts/cmap/dvipdfmx/EUC-UCS2

%changelog
* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090506-4m)
- remove Requires: ghostscript-resource

* Sat May 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090506-3m)
- not use kanjix.map because embedding ipa fonts in pdf using
  kanjix.map causes embedding ipa fonts in postscript

* Wed May 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090506-2m)
- embed ipa fonts as default behavior
- use kanjix.map which is provided by ptetex3 (Patch1)
  remove useless customized cid-x.map

* Fri May 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20090506-1m)
- update to 20090506
- License: GPLv2+

* Wed Mar 18 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (20090115-1m)
- update 20090115
- import some changes from fc-devel
-- import dvipdfmx-20080520-ebb-to-ebbx.patch
-- revise %%post, %%postun

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (20071115-4m)
- rebuild against rpm-4.6

* Sun Jul 27 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (20071115-3m)
- fix %%post, %%postun

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (20071115-2m)
- rebuild against gcc43

* Thu Mar 27 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (20071115-1m)
- update to 20071115

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (20070518-2m)
- %%NoSource -> NoSource

* Tue May 22 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (20070518-1m)
- update to 20070518

* Tue Mar 20 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (20061211-1m)
- update to 20061211
- imported patches from ptetex3 (dvipdfmx-20061211-time.patch, dvipdfmx-20061211-time2.patch)

* Wed Jun 14 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (20050831-3m)
- imported patches from ptetex (dvipdfmx-20050831-leak.patch and dvipdfmx-20050831-p.patch)
- use dvipdfmx.cfg from ptetex so that dvipdfmx works with tetex-3.0

* Wed Mar 03 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (20050831-2m)
- apply Patch1(dvipdfmx-20050831-revert_cid-x.map.patch) and comment out Patch0(dvipdfmx-config.patch)
- - We should revert cid-x.map to that of the previous version since cid-x.map is empty in this version and dvipdfmx cannot find "rml" font and fails to make pdf.
- - Patch1 is imported from Debian (see http://bugs.debian.org/351333).
- - We also need to remove Patch0 to make dvipdfmx functional.

* Tue Dec 27 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (20050831-1m)
- up to 20050831
- no NoSource

* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (20040411-1m)
- verup

* Wed Mar 17 2004 Toru Hoshina <t@momonga-linux.org>
- (20031207-3m)
- revised spec for enabling rpm 4.2.

* Mon Dec 22 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20031207-2m)
- change the order of cid-x.map and dvipdfm.map in dvipdfmx.cfg
  (dvipdfmx-config.patch)
- add symlink %{texmfdir}/dvipdfm/Resource -> %{_datadir}/ghostscript/Resource
  and add Requires: ghostscript-resource
- use %%NoSource

* Sat Dec 20 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20031207-1m)
- dvipdfmx initial revision

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-15m)
- Requires: tetex-dvipsk.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-14m)
- PreReq: kpathsea.

* Sat Jul  5 2003 Kenta MURATA <muraken2@nifty.com>
- (0.13.3c-13m)
- synchronize to tetex.

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.13.3c-12k)
- /usr/bin/env -> sh-utils in PreReq.

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.13.3c-10k)
- rebuild against libpng-1.2.2

* Fri Mar 29 2002 Kenta MURATA <muraken@kondara.org>
- (0.13.3c-8k)
- use updmap for extra font map files.

* Sat Jan 19 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (0.13.3c-6k)
- Fixed changelog typo.

* Fri Jan 18 2002 Motonobu Ichimura <famao@kondara.org>
- (0.13.3c-4k)
- add Require tetex-dvips

* Thu Oct 18 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.3c-2k)
- sync with Jirai

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (0.13.2b-6k)
- rebuild against libpng 1.2.0.

* Sat Oct 06 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.2c-3k)
- up to 0.13.2c
- update japanese patch

* Sat Jun 23 2001 Motonobu Ichimura <famao@kondara.org>
- (0.13.2b-4k)
- import to Mary
- Kondarized

* Thu Jun 21 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-4
- apply dvipdfm-jpatch-p0c.patch.gz

* Fri Jun 15 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-3
- add out2uni
- apply printf and pagesize patch.

* Tue Jun 12 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 0.13.2b-2
- apply patch-psspecial.c and jpatch-p0b.
